
library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity inbuf32 is 
    port( PAD : in std_logic_vector(31 downto 0); Y : out 
        std_logic_vector(31 downto 0)) ;
end inbuf32;


architecture DEF_ARCH of  inbuf32 is

    component INBUF
        port(PAD : in std_logic := 'U'; Y : out std_logic) ;
    end component;

begin   

    INBUF_16_inst : INBUF
   port map(PAD => PAD(16), Y => Y(16));
    INBUF_1_inst : INBUF
   port map(PAD => PAD(1), Y => Y(1));
    INBUF_5_inst : INBUF
   port map(PAD => PAD(5), Y => Y(5));
    INBUF_6_inst : INBUF
   port map(PAD => PAD(6), Y => Y(6));
    INBUF_23_inst : INBUF
   port map(PAD => PAD(23), Y => Y(23));
    INBUF_4_inst : INBUF
   port map(PAD => PAD(4), Y => Y(4));
    INBUF_7_inst : INBUF
   port map(PAD => PAD(7), Y => Y(7));
    INBUF_21_inst : INBUF
   port map(PAD => PAD(21), Y => Y(21));
    INBUF_13_inst : INBUF
   port map(PAD => PAD(13), Y => Y(13));
    INBUF_11_inst : INBUF
   port map(PAD => PAD(11), Y => Y(11));
    INBUF_2_inst : INBUF
   port map(PAD => PAD(2), Y => Y(2));
    INBUF_8_inst : INBUF
   port map(PAD => PAD(8), Y => Y(8));
    INBUF_9_inst : INBUF
   port map(PAD => PAD(9), Y => Y(9));
    INBUF_22_inst : INBUF
   port map(PAD => PAD(22), Y => Y(22));
    INBUF_28_inst : INBUF
   port map(PAD => PAD(28), Y => Y(28));
    INBUF_31_inst : INBUF
   port map(PAD => PAD(31), Y => Y(31));
    INBUF_12_inst : INBUF
   port map(PAD => PAD(12), Y => Y(12));
    INBUF_18_inst : INBUF
   port map(PAD => PAD(18), Y => Y(18));
    INBUF_20_inst : INBUF
   port map(PAD => PAD(20), Y => Y(20));
    INBUF_3_inst : INBUF
   port map(PAD => PAD(3), Y => Y(3));
    INBUF_10_inst : INBUF
   port map(PAD => PAD(10), Y => Y(10));
    INBUF_25_inst : INBUF
   port map(PAD => PAD(25), Y => Y(25));
    INBUF_30_inst : INBUF
   port map(PAD => PAD(30), Y => Y(30));
    INBUF_0_inst : INBUF
   port map(PAD => PAD(0), Y => Y(0));
    INBUF_15_inst : INBUF
   port map(PAD => PAD(15), Y => Y(15));
    INBUF_27_inst : INBUF
   port map(PAD => PAD(27), Y => Y(27));
    INBUF_29_inst : INBUF
   port map(PAD => PAD(29), Y => Y(29));
    INBUF_17_inst : INBUF
   port map(PAD => PAD(17), Y => Y(17));
    INBUF_19_inst : INBUF
   port map(PAD => PAD(19), Y => Y(19));
    INBUF_24_inst : INBUF
   port map(PAD => PAD(24), Y => Y(24));
    INBUF_26_inst : INBUF
   port map(PAD => PAD(26), Y => Y(26));
    INBUF_14_inst : INBUF
   port map(PAD => PAD(14), Y => Y(14));
end DEF_ARCH;
