
library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity outbuf32 is 
    port( Data : in std_logic_vector(31 downto 0); PAD : out 
        std_logic_vector(31 downto 0)) ;
end outbuf32;


architecture DEF_ARCH of  outbuf32 is

    component OUTBUF
        port(D : in std_logic := 'U'; PAD : out std_logic) ;
    end component;

    component VCC
        port( Y : out std_logic);
    end component;

    signal VCC_1_net : std_logic ;
    begin   

    VCC_2_net : VCC port map(Y => VCC_1_net);
    OUTBUF_1_inst : OUTBUF
   port map(D => Data(1), PAD => PAD(1));
    OUTBUF_24_inst : OUTBUF
   port map(D => Data(24), PAD => PAD(24));
    OUTBUF_10_inst : OUTBUF
   port map(D => Data(10), PAD => PAD(10));
    OUTBUF_25_inst : OUTBUF
   port map(D => Data(25), PAD => PAD(25));
    OUTBUF_8_inst : OUTBUF
   port map(D => Data(8), PAD => PAD(8));
    OUTBUF_27_inst : OUTBUF
   port map(D => Data(27), PAD => PAD(27));
    OUTBUF_26_inst : OUTBUF
   port map(D => Data(26), PAD => PAD(26));
    OUTBUF_28_inst : OUTBUF
   port map(D => Data(28), PAD => PAD(28));
    OUTBUF_29_inst : OUTBUF
   port map(D => Data(29), PAD => PAD(29));
    OUTBUF_4_inst : OUTBUF
   port map(D => Data(4), PAD => PAD(4));
    OUTBUF_3_inst : OUTBUF
   port map(D => Data(3), PAD => PAD(3));
    OUTBUF_21_inst : OUTBUF
   port map(D => Data(21), PAD => PAD(21));
    OUTBUF_31_inst : OUTBUF
   port map(D => Data(31), PAD => PAD(31));
    OUTBUF_22_inst : OUTBUF
   port map(D => Data(22), PAD => PAD(22));
    OUTBUF_23_inst : OUTBUF
   port map(D => Data(23), PAD => PAD(23));
    OUTBUF_14_inst : OUTBUF
   port map(D => Data(14), PAD => PAD(14));
    OUTBUF_0_inst : OUTBUF
   port map(D => Data(0), PAD => PAD(0));
    OUTBUF_15_inst : OUTBUF
   port map(D => Data(15), PAD => PAD(15));
    OUTBUF_17_inst : OUTBUF
   port map(D => Data(17), PAD => PAD(17));
    OUTBUF_16_inst : OUTBUF
   port map(D => Data(16), PAD => PAD(16));
    OUTBUF_2_inst : OUTBUF
   port map(D => Data(2), PAD => PAD(2));
    OUTBUF_9_inst : OUTBUF
   port map(D => Data(9), PAD => PAD(9));
    OUTBUF_18_inst : OUTBUF
   port map(D => Data(18), PAD => PAD(18));
    OUTBUF_19_inst : OUTBUF
   port map(D => Data(19), PAD => PAD(19));
    OUTBUF_20_inst : OUTBUF
   port map(D => Data(20), PAD => PAD(20));
    OUTBUF_30_inst : OUTBUF
   port map(D => Data(30), PAD => PAD(30));
    OUTBUF_5_inst : OUTBUF
   port map(D => Data(5), PAD => PAD(5));
    OUTBUF_7_inst : OUTBUF
   port map(D => Data(7), PAD => PAD(7));
    OUTBUF_11_inst : OUTBUF
   port map(D => Data(11), PAD => PAD(11));
    OUTBUF_12_inst : OUTBUF
   port map(D => Data(12), PAD => PAD(12));
    OUTBUF_13_inst : OUTBUF
   port map(D => Data(13), PAD => PAD(13));
    OUTBUF_6_inst : OUTBUF
   port map(D => Data(6), PAD => PAD(6));
end DEF_ARCH;
