
library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity inbuf10 is 
    port( PAD : in std_logic_vector(9 downto 0); Y : out 
        std_logic_vector(9 downto 0)) ;
end inbuf10;


architecture DEF_ARCH of  inbuf10 is

    component INBUF
        port(PAD : in std_logic := 'U'; Y : out std_logic) ;
    end component;

begin   

    INBUF_5_inst : INBUF
   port map(PAD => PAD(5), Y => Y(5));
    INBUF_1_inst : INBUF
   port map(PAD => PAD(1), Y => Y(1));
    INBUF_6_inst : INBUF
   port map(PAD => PAD(6), Y => Y(6));
    INBUF_4_inst : INBUF
   port map(PAD => PAD(4), Y => Y(4));
    INBUF_7_inst : INBUF
   port map(PAD => PAD(7), Y => Y(7));
    INBUF_8_inst : INBUF
   port map(PAD => PAD(8), Y => Y(8));
    INBUF_2_inst : INBUF
   port map(PAD => PAD(2), Y => Y(2));
    INBUF_9_inst : INBUF
   port map(PAD => PAD(9), Y => Y(9));
    INBUF_3_inst : INBUF
   port map(PAD => PAD(3), Y => Y(3));
    INBUF_0_inst : INBUF
   port map(PAD => PAD(0), Y => Y(0));
end DEF_ARCH;
